Introduction

Altap Salamander: Plugins: PictView: Introduction

Getting Started with PictView Plugin

The PictView plugin is an image viewer, converter, and thumbnailer. It supports more than 60 file formats. PictView plugin is based on the famous freeware PictView (for DOS and Windows) image manipulation program and it utilizes PVW32Cnv.DLL, an image rendering library that can be licensed for use by third-party programs.

See File Viewer, Menu Extension and Thumbnail Loader sections in Using Plugins for a description of basic work with plugin viewer, menu extension, and thumbnailer.

The PictView plugin is provided under this License Agreement. By using this plugin you agree that you have read, understood, and will comply with license agreement terms and conditions.

© 2001-2019 ALTAP. All rights reserved.


Using Mouse in Viewer

You can choose one of four mouse modes for using the left mouse button in the viewer, see the following table. Click the right mouse button to display context menu with the most important commands. Double click the left mouse button to view the image in the full screen or to exit the full screen view. The mouse wheel can be used for scrolling the image up and down or opening next or previous image file from panel or found files list in the Find window, see Keyboard & Mouse tab in Configuration and Opening Previous or Next File from Panel or Find Window.

Left mouse button modes:

Mode | Shortcut key
Hand | A
Zoom | Z
Select | S
Pick Color | P

You can find all described mouse modes in viewer menu Tools.

Hand

This mode is useful if you do not see the whole image in the current view (the image in the current zoom is larger than the viewer window). Press (and hold) the left mouse button to "catch" the image and move mouse to scroll the image in desired direction. To end scrolling just release the left mouse button.

Zoom

Use this mode to change the zoom. Click the left mouse button to zoom in to the next preset percentage and to center the view around the point you clicked. Press (and hold) the Shift key and click the left mouse button to zoom out to the previous preset percentage.

You can also use the marquee zoom. Select the area of the image you would like to have filled the view. To start this action, press (and hold) the left mouse button. It defines the first corner of the area (the opposite one is dragged by the mouse pointer). When you press (and hold) the Space key, you will move the whole area (not only the second corner). While dragging you can move the mouse pointer near the edge of the view for scrolling the view.

Select

You can define a selected area of the image in this mode. The selected area is used in several commands: Crop, Copy, Print, etc.

To define the selected area, you must press (and hold) the left mouse button. It defines the first corner of the area (the opposite one is dragged by the mouse pointer). When you press (and hold) the Space key, you will move the whole area (not only the second corner). Press (and hold) the Shift key to constrain the area to a square. While dragging you can move the mouse pointer near the edge of the view for scrolling the view.

See also: select whole image or cancel selection.

Pick Color

Use this mode to see the coordinates (relative to the top-left image corner) and RGB values of the image pixel under the mouse pointer.


Zooming View

You can change the zoom in the viewer using one of the following commands:

  • Zoom In (the Num Plus key): zoom in to the next preset percentage,
  • Zoom Out (the Num Minus key): zoom out to the previous preset percentage,
  • Zoom To (the M key or the Num Asterisk key): zoom to specified percentage.

You can also use two automatic zoom modes: Fit in Window (the F5 key) and Fit Width (the F6 key). The first calculates the zoom percentage to show the whole image in the viewer window. The second to show the whole width of the image in the viewer window (it avoids horizontal scrolling, but vertical scrolling can be still needed). You can set one of these modes as default (then it is used every time you open the viewer), see Appearance tab in Configuration.

You may also often want to see the image in 100% zoom (one pixel of the image is one pixel in the viewer window). You can use the Actual Size command (the F7 key) for this zoom.

You can find all described commands in viewer menu View.

See Also

The Zoom mode in Using Mouse in Viewer.


Rotating and Flipping Image

You may need to rotate or flip the image in the viewer to enjoy it in the proper orientation. PictView supports these commands:

  • Rotate Left (the L key): rotate the image counterclockwise by a quarter-turn,
  • Rotate Right (the R key): rotate the image clockwise by a quarter-turn,
  • Rotate 180° (the T key): rotate the image by a half-turn,
  • Flip Horizontal (the H key): flip the image horizontally, along the vertical axis,
  • Flip Vertical (the V key): flip the image vertically, along the horizontal axis.

You can find all described commands in viewer menu Edit.


Opening Previous or Next File from Panel or Find Window

When you have more image files in one directory in panel or found files list in the Find window, you can use the View command for the first of them and then view all others in the same viewer window one by one using following commands:

  • Previous (the Backspace key): open the previous image file,
  • Next (the Space key): open the next image file,
  • Previous Selected (the Ctrl+Backspace key): open the previous selected image file,
  • Next Selected (the Ctrl+Space key): open the next selected image file,
  • First (the Shift+Backspace key): open the first image file,
  • Last (the Shift+Space key): open the last image file.

The mouse wheel can be also used for opening the next or previous image file, see Keyboard & Mouse tab in Configuration.

Note: all these commands work only until you change the content of the panel or Find window from which you opened the viewer.

You can find all described commands in viewer submenu: File/Other Files. Moreover you can find Previous, Next, Previous Selected, and Next Selected commands in viewer context menu (right-click image to open this menu).

See Also

Selecting File in Panel or Find Window


Viewing in Full Screen

If you want to fully enjoy viewing of the image, try to view it in the full screen. In this view you can see only the image, everything else is hidden (including mouse cursor, it disappears if mouse is without movement for couple of seconds).

To view the image in the full screen:

Viewer menu: | View/Full Screen
Viewer shortcut key: | F11
Viewer context menu: | Right-click image and choose Full Screen

To exit the full screen view:

Viewer shortcut key: | F11
Viewer context menu: | Right-click image and choose Full Screen


Focusing File in Panel

You can quickly switch from the viewer to the active panel of Altap Salamander and focus the currently opened image file. It's handy for applying any other command to this image file directly in the panel.

To focus the image file in the panel:

Viewer menu: | File/Focus
Viewer shortcut key: | F
Viewer context menu: | Right-click image and choose Focus


Selecting File in Panel or Find Window

You can open an image file in the viewer from a panel or found files list in Find window using the View command. Then you can select (if not selected) or unselect (if selected) the image file in the panel or found files list in Find window directly from the viewer.

Note: this command works only until you change the content of the panel or Find window from which you opened the viewer.

To select/unselect the image file in panel or Find window:

Viewer menu: | File/Select/Unselect Opened File in Panel or Find
Viewer shortcut key: | Insert
Viewer context menu: | Right-click image and choose Select/Unselect Opened File in Panel or Find

See Also

Opening Previous or Next File from Panel or Find Window


Deleting File

You can easily delete the currently opened image file from the disk. More precisely you can send this file to Recycle Bin or when you press (and hold) the Shift key, you can delete it permanently.

To delete file:

Viewer menu: | File/Delete
Viewer shortcut key: | Delete or Shift+Delete
Viewer context menu: | Right-click image and choose Delete


Saving Image

You can save the image opened in the viewer to the disk in one of many supported file formats, with specified compression type, and additional file type options (JPEG quality, color depth, mirroring, GIF interlacing, TIFF stripping, etc.).

To save image:

  1. Open Save As dialog box:
    Viewer menu: File/Save As...
    Viewer shortcut key: Ctrl+S
  2. Enter new filename.
  3. Select image file type.
  4. Choose compression and additional file type options (quality, color depth, etc.). To show them, click the Options button.
  5. Click the Save button.

Tips and tricks:

  1. If you don't want PictView to append the default file extension, type in your extension and add extra dot after the extension. Example:
    • MyImage.jpeg.
  2. PictView prevents creating "ugly" case of file names. Should the resulting base file name be in upper-case and the default extension in lower-case, PictView will rather convert also the file name to lower-case. Entire upper-case file names usually originate on FAT, NWFS or ISO 9660 file systems, they get created by legacy 16-bit applications or get transferred via FTP, SFTP or FTPS from other systems.
    Should you really want the entire file name remain in upper-case or mixed base file name upper-case and extension lower-case, type in the entire file name including the extension using the desired case. Examples:
    • MYIMAGE.JPG
    • MYIMAGE.jpg


Showing Image Properties

The viewer can show image properties like image width and height, color depth, file format, compression, etc.

To show image properties:

Viewer menu: | File/Properties...
Viewer shortcut key: | I or F3
Viewer context menu: | Right-click image and choose Properties...

See Also

Image Properties dialog box


Showing EXIF Information

Most digital cameras use the EXIF format (Exchangeable Image File Format) to store information about the image and camera (camera orientation, ISO rating, focal length, exposure time, etc.) directly in the JPEG, TIFF, or RAW image file. You can display EXIF information for the image opened in the viewer.

To show EXIF information:

Viewer menu: | File/Show EXIF...
Viewer shortcut key: | E
Viewer context menu: | Right-click image and choose Show EXIF...

See Also

EXIF dialog box


Setting Image as Wallpaper

The wallpaper is an image used as a background for the desktop. You can use your own image as the wallpaper. You can use the following commands:

  • Center: your image is centered to the desktop background,
  • Tile: your image is tiled (repeated) to fill the desktop background,
  • Stretch: your image is stretched to fill the desktop background,
  • Restore Previous: return to the previous wallpaper,
  • None: do not use any image as wallpaper.

You can find all described commands in viewer submenu: File/Set as Wallpaper.


Capturing Screen

This command allows you to capture the screen (take a screenshot). The resulting image is opened in the viewer, so it can be saved to disk easily.

You can choose what to capture (entire screen, foreground window, etc.), shortcut key or timer for capturing, and whether also the mouse cursor should be captured.

For simple screenshots placed to the clipboard you can also use Windows shortcut keys. The first is the Print Screen (or PrtScn) key for copying the entire screen to the clipboard. The second is Alt+Print Screen (or Alt+PrtScn) key for copying only the active window to the clipboard. Then you can use the View Bitmap from Clipboard command to open this image in PictView viewer.

To capture the screen:

  1. Open the Screen Capture dialog box:
    Menu: Plugins/PictView/Screen Capture...
    Viewer menu: File/Screen Capture...
    Viewer shortcut key: Q
  2. Select what you want to capture.
  3. Set keyboard shortcut or timer for capturing.
  4. Choose if to include mouse cursor.
  5. Click the Capture button.
  6. Arrange your windows and mouse pointer before capturing.
  7. Use the selected keyboard shortcut or wait for the timer.
  8. The captured result will be displayed in a PictView viewer window: it will be the same window if the capture was invoked from an existing PictView window, or a new PictView window will be opened if it was invoked from the Plugins menu. The Save As command from the File menu can be used to save this picture to disk.

See Also

Screen Capture dialog box


Viewing Bitmap from Clipboard

Raster images (bitmaps) copied to the clipboard can be opened from there in the viewer. You can then work with such image in the viewer, e.g. save it to disk or even copy any part of it back to the clipboard.

To view bitmap from clipboard:

Menu: | Plugins/PictView/View Bitmap from Clipboard
Shortcut key: | Ctrl+Shift+B


Working with Clipboard

You can copy entire image or its selected part to the clipboard. You can also replace the image opened in the viewer by the image from the clipboard.

To copy image to clipboard:

Viewer menu: | Edit/Copy
Viewer shortcut key: | Ctrl+C or Ctrl+Insert
Viewer context menu: | Right-click image and choose Copy

To copy selected part of image to clipboard:

  1. Select a part of the image. See how to do it in Using Mouse in Viewer.
  2. Copy selected part of the image to the clipboard:
    Viewer menu: Edit/Copy
    Viewer shortcut key: Ctrl+C or Ctrl+Insert
    Viewer context menu: Right-click image and choose Copy

To paste image from clipboard to viewer:

Viewer menu: | Edit/Paste
Viewer shortcut key: | Ctrl+V or Shift+Insert
Viewer context menu: | Right-click image and choose Paste


Updating Thumbnail

Most digital cameras store thumbnails (small preview of the image - the usual size is 160 x 120 pixels, file size approx. 10KB) directly in JPEG files. They enable very fast viewing of image file thumbnails (see Selecting Current View in panel) because it is not necessary to read entire images and downsize them to thumbnails.

Unfortunately some image editors do not respect thumbnails stored in images, so when you change (or rotate or crop) the image in such editors, they simply copy the original unchanged thumbnail (you see out-of-date thumbnail) or ignore thumbnails entirely (slow getting of thumbnail). In both cases you can use PictView to update the thumbnail stored in the image file.

To update a thumbnail inside a JPEG file:

  1. Select one or more files in which you want to update the thumbnails.
  2. Start updating of thumbnails:
    Menu: Plugins/PictView/Update Thumbnail


Cropping Image

Use this command to replace the image in the viewer by the selected part of this image.

To crop image:

  1. Select a part of the image you want to keep. See how to do it in Using Mouse in Viewer.
  2. Crop image:
    Viewer menu: Edit/Crop
    Viewer shortcut key: C


Copying File

This command allows you to copy the image file currently opened in the viewer to one of five target directories. You can specify the target directory each time you make the copy or you can quickly reuse the target directories used in previous copy commands.

To copy file:

  1. Open the Copy File To dialog box:
    Viewer menu: File/Copy To...
    Viewer shortcut key: X
  2. Select the target directory.
  3. Choose the OK button.

See Also

Copy File To dialog box


Opening File

Use this command to open another image file in the current viewer.

Note: it is usually simpler to close the current viewer window (the Escape key), find the image file in panel or in the Find window, and open it in the viewer (the F3 key).

To open file:

  1. Open the Open dialog box:
    Viewer menu: File/Open...
    Viewer shortcut key: Ctrl+O
  2. Select the file.
  3. Click the Open button.

See Also

Opening Previous or Next File from Panel or Find Window


Printing Image

Use this command for sending the image opened in the viewer to a printer. You can choose position and size of the image.

To print image:

  1. Open the Print dialog box:
    Viewer menu: File/Print...
    Viewer shortcut key: Ctrl+P
  2. Use the Setup button to select printer and paper format and orientation.
  3. If you want to print only the selected area of the image (see how to select the area in Using Mouse in Viewer), check the Print selected area check box.
  4. Enter position and size of image.
  5. Choose the OK button.

See Also

Print dialog box


Renaming File

You can easily rename the currently opened image file on the disk.

To rename file:

  1. Open the Rename File dialog box:
    Viewer menu: File/Rename...
    Viewer shortcut key: F2
    Viewer context menu: Right-click image and choose Rename...
  2. Enter a new filename.
  3. Click the OK button.


Showing Histogram

A histogram shows the total distribution of color intensities in the image. The horizontal axis represents the intensity values from darkest (0) at the far left to brightest (255) at the far right. The vertical axis represents the total number of pixels with a given value. The histogram helps us analyze, and more importantly, correct the contrast of the image.

You can display five types of histograms:

  • Luminosity: luminance histograms are more accurate than RGB histograms at describing the perceived brightness distribution or "luminosity" within an image; luminance takes into account the fact that the human eye is more sensitive to green light than red or blue light,
  • RGB: intensities of red, green, and blue color channels (colors are ignored, only their intensities are important),
  • Red: intensities of red color channel,
  • Green: intensities of green color channel,
  • Blue: intensities of blue color channel.

To show histogram:

  1. Open Histogram window:
    Viewer menu: File/Show Histogram...
    Viewer shortcut key: Ctrl+H
    Viewer context menu: Right-click image and choose Show Histogram...
  2. Choose Luminosity, RGB, Red, Green, or Blue channel on toolbar.
  3. You can also display all channels at once, see toolbar button Show Other Channels.


Scanning Image

You can scan documents directly to the viewer.

32-bit (x86) version:

If you have more scanners attached to your computer, use the Select Scanner Source command to choose the appropriate scanner. 32-bit (x86) version uses TWAIN interface to scanners. TWAIN x86 provides also WIA interface (Windows Image Acquisition), so you should easily use any scanner.

64-bit (x64) version:

If you have more scanners attached to your computer, you will choose the appropriate scanner whenever you start scanning. 64-bit (x64) version uses WIA interface (Windows Image Acquisition). TWAIN x64 is not directly supported by Windows and also supported only by some scanner manufacturers. If you cannot connect to your scanner from 64-bit (x64) version try to connect it from 32-bit (x86) version, it will probably work well with your scanner.

To scan image:

  1. Start scanning of image:
    Menu: Plugins/PictView/Scan Image...
    Viewer menu: File/Scan Image...
    Viewer shortcut key: W
  2. Scanned image will be displayed in PictView viewer window. You can use Save As command from menu File to save this picture to file.


Selecting Scanner Source

If you have more scanners attached to your computer, use this command to choose the scanner you want to use in the Scan Image command. This command is only in 32-bit (x86) version, see Scan Image command for more details.

To select scanner source:

  1. Open Select Source dialog box:
    Menu: Plugins/PictView/Select Scanner Source...
    Viewer menu: File/Select Scanner Source...
  2. Choose your scanner from the list.
  3. Choose Select button.


Reverting Changes

When the image is loaded from a file, tis command can be used to discard all changes (rotation, mirroring, cropping) and reload the image from the file.

To revert changes (reload image from file):

Viewer menu: | File/Revert
Viewer shortcut key: | Ctrl+R


Selecting Whole Image

You can set the selected area of the image to the entire image. You can also cancel selection.

To select whole image:

Viewer menu: | Edit/Select All
Viewer shortcut key: | Ctrl+A

To cancel selection:

Viewer menu: | Edit/Deselect All
Viewer shortcut key: | Ctrl+D

See Also

The Select mode in Using Mouse in Viewer.


Viewing Multipage Images

Some image formats (e.g. TIFF, ICO, ANI, CDR, AWD, DCX, OFX, QFX, MBM, HMR, HPI, BMI, PEF) support storing more images (pages) in one image file. You can use the following commands for such images:

  • Previous Page (the Ctrl+Page Up key): view the previous page,
  • Next Page (the Ctrl+Page Down key): view the next page,
  • First Page (the Ctrl+Home key): view the first page,
  • Last Page (the Ctrl+End key): view the last page,
  • Go to Page (the G key): display a specific page without going through all intermediate pages

Note: It is not possible to view specific page of an animated GIF.

You can find all described commands in viewer submenu: View/Multipage Images.


Opening File You've Used Recently

The viewer remembers the last ten opened image files. You can find these recently used files in viewer submenu: File/Recent Files. Choose any of them to open it in the viewer again.


Opening File from Directory You've Used Recently

You can find recently used directories in viewer submenu: File/Recent Directories. When you choose directory from this menu, the Open dialog box opens in that directory. You can find a file you want to open and then choose the Open button.


Viewing Photos

If you are the owner of a digital camera, you surely have many photos stored on your disk. Here are some tips for easy viewing of these photos:

  • You can see thumbnails of your photos in panels, it usually helps a lot when you are searching for some specific photo. See how to select Thumbnails view in panel. You can also define the size of thumbnail (see the Appearance page in Configuration). Try also to maximize panel (the Ctrl+F11 key) with thumbnails and maximize Salamander's main window (the Ctrl+Shift+F11 key).
  • Use the View command from the panel or the View command from the Find window (you can find e.g. all *.jpg files on all your local disks and view them all one by one) to open the first photo in the viewer.
  • Switch to the Full Screen view mode. You should see only your photo, everything else is hidden (including mouse cursor, it disappears if mouse is without movement for a couple of seconds).
  • If you need to rotate image (pictures that you took while holding your camera vertically), use the R (clockwise by a quarter-turn) or L (counterclockwise by a quarter-turn) keys.
  • Use the Space key for viewing next photo, or the Backspace key for viewing previous photo. See more in Opening Previous or Next File from Panel or Find Window.
  • You may want to zoom in to see more details (the resolution of photos is usually much bigger than that of your display), see how to do it from keyboard and with mouse in Zooming View. For scrolling the view see Hand mode in Using Mouse in Viewer or just use the arrow keys.
  • Sometimes it happens that the photo is not that great and you want to delete it, see how to do it directly from the viewer.


Selecting Photos

If you decide to get your photos printed at a photo lab, you will need to select appropriate image files (photos) and burn them to CD or upload them directly to the photo lab. Here are some tips for easy selecting of image files in the directory:

  • Use the View command from the panel to open the first photo in the viewer.
  • Maximize the viewer window to better see your photos.
  • Use the Space key for viewing next photo, or the Backspace key for viewing previous photo. If you want to view next or previous selected photo, use the Ctrl+Space or Ctrl+Backspace key. See more in Opening Previous or Next File from Panel or Find Window.
  • Use the Insert key in the viewer to select (if not selected) or unselect (if selected) the current image file in the panel. You can see if the photo is selected on toolbar button Select/Unselect Opened File in Panel or Find Window. See more in Selecting File in Panel or Find Window.
  • When you finish selecting, just close the viewer and work with selected image files in the panel.


Making Screenshots

See the Screen Capture command for details on making screenshots. If you want to use only a part of the screenshot, you will need the Crop Image command. Finally you may need to save the image to file.


Image File Conversions

You can simply convert the image file to another file format just from the viewer. Just open the original image file in the viewer and then use the Save As command.


Appearance

Allows you to change the appearance of the PictView viewer. See Configuring Plugins for general information about configuration.

Options

Window size
Specifies what size should be the viewer window when you open it. Select one of the following settings:
Option | Meaning
Same as of Altap Salamander | Viewer window should be the same size as the main window of Altap Salamander.
Larger if needed but no smaller | Viewer window should be the same size or bigger than the main window of Altap Salamander. It's bigger if the image in 100% zoom (1:1) needs bigger window.
As needed | Viewer window should be the smallest possible to view the image in 100% zoom (1:1).
Default zoom
Specifies what zoom should be used in the viewer window when you open it. Select one of the following settings:
Option | Meaning
Fit whole (no scrollbars) | It calculates the zoom percentage to show the whole image in the viewer window.
Fit to width (no horizontal scrollbar) | It calculates the zoom percentage to show the whole width of the image in the viewer window (it avoids horizontal scrolling, but vertical scrolling can be still needed).
Original size | Use 100% zoom percentage (one pixel of the image is one pixel in the viewer window).
Full screen | View image in full screen view mode. It calculates the zoom percentage to show the whole image in the full screen view.
Show image file path in titlebar
When checked, the viewer titlebar contains full path to image file. Otherwise it contains only name of the image file (without full path).


Colors

Use this tab to set colors in the viewer.

Options

Window mode: Background
In window mode: set here the color of the part of view which is not used by the image.
Window mode: Transparent
In window mode: set here the color of the transparent parts of the image.
Full screen mode: Background
In the full screen mode: set here the color of the part of the screen which is not used by the image.
Full screen mode: Transparent
In the full screen mode: set here the color of the transparent parts of the image.


Keyboard & Mouse

Customization of keyboard and mouse use.

Options

Page Up & Page Down keys, mouse wheel
Specifies what actions should be taken when you use the Page Up or Page Down key or mouse wheel. Select one of the following options:
Option | Meaning
Used for image scrolling | Use the Page Up and Page Down keys and mouse wheel to scroll the view.
Used to access previous/next image | Use the Page Up and Page Down keys and mouse wheel to open previous or next image file from the panel or the Find window. See Opening Previous or Next File from Panel or Find Window for details.


Tools

Customization of behaviour of tools.

Select tool

Area selected when holding the Shift key
When using the Select tool, a rectangle with predefined aspect ratio gets selected if the Shift key is held down. By default, a square is selected. However, here you can specify another rectangle as width : height. Several often used sizes of computer & TV screens and photographs are predefined, plus you can choose any custom aspect ratio.

TIP: Only integral numbers can be used for Other. To bypass this limitation, multiply your numbers by 10 or 100. For example, if you need a very specific ratio 1:1.234, specify 1000:1234 instead.

Other options

Pipette picks colors in hexadecimal
See Pick Color mode in Using Mouse in Viewer. When checked, the pipette tool shows colors as hexadecimal numbers (useful e.g. when editing HTML pages).


Advanced

Allows you to change advanced options in the viewer and thumbnailer.

Options

Ignore original thumbnails stored in image files (slower)
When checked, all thumbnails will be prepared from full size images (it is slow, but most accurate). This is useful if your images contain incorrect or too low quality thumbnails and you don't want to update these thumbnails.
Do not create thumbnails of images with more than ??? megapixels
You can specify here the maximal size of image (the default is 90 megapixels or 90 million pixels) for which PictView should prepare thumbnail. It is just an optimization (preparing of thumbnail for too big image may take too much time or clog your computer for a while).
Autorotate EXIF JPEG images (digital camera pictures)
Modern digital cameras indicate in the JPEG image file whether the image is portrait-mode or even upside-down. When checked, PictView determines this rotation and automatically rotates the image to the correct orientation for display. It may take some time on larger images on slower computers.
Show message box on successful file save
When checked, you will be informed about every successful save of image by a message box. When unchecked, only a short information will be displayed in the Status bar until the mouse is moved.
Remember path when saving screenshots, scans, clipboard pastes
This checkbox controls which folder is offered as the default one when saving a screen capture, scanned document or an image pasted from the clipboard. When checked, the folder used for the last image of these types is offered. When unchecked, the current path of the active panel of Salamander is offered, or the last one, if an archive or file system plugin (such as FTP) is currently opened in the active panel.


Copy File To dialog box

Altap Salamander: Plugins: PictView: Dialog Boxes

Copy File To

Use this dialog to copy the image file currently opened in the viewer to one of five target directories.

Options

1, 2, 3, 4, and 5
You can specify up to five target directories in these editboxes. But only the current one will be used. The current target directory is the only one which is enabled (others are grayed).
Browse
Displays the Browse dialog box so you can select the target directory on the disk.

See Also

Copying File


EXIF dialog box

Altap Salamander: Plugins: PictView: Dialog Boxes

EXIF

Use this dialog to view EXIF information for the image opened in the viewer.

Options

EXIF tags
The list of EXIF tags with values gained from the image file.
EXIF tag description
The description of the focused tag in the list of EXIF tags.
Group highlighted items
When checked, the highlighted items (tags) in the list of EXIF tags are grouped at the beginning of the list.
Highlight
When the button is checked (down), the focused tag in the list of EXIF tags is highlighted. Click this button to change highlight of this tag.
Copy
Use this button to copy the value of focused tag in the list of EXIF tags to the clipboard.

See Also

Showing EXIF Information


Image Properties dialog box

Altap Salamander: Plugins: PictView: Dialog Boxes

Image Properties

This dialog displays the following image properties:

  • Page: the current image (or page) and total number of images in multi-image files.
  • Width: image width in pixels.
  • Height: image height in pixels.
  • Colors: maximum number of colors or bit-depth of the current image as stored in the file. When reading an image, PictView downgrades it to at most 24 bits per pixel and at most 8 bits per color component.
  • Size in memory: size of uncompressed image in memory,
  • File size: size of image file on disk. This file size includes all images and non-image data stored in the file.
  • DPI: resolution of image in dots per inch, if known.
  • Format: image file format.
  • Compression: compression used for this image.
  • Comments: additional information, such as presence of alpha channel, image tiling, interleaving or directly image comments as stored in the file.

See Also

Showing Image Properties


Print dialog box

Altap Salamander: Plugins: PictView: Dialog Boxes

Print

Use this dialog to print the image opened in the viewer.

Options

Printer: Setup
Click the Setup button to select the printer on which you want to print the image. You can also set the paper format and orientation (landscape or portrait), and many other printer properties (e.g. print quality) here.
Position: Left and Top
Specify the position of top left corner of the image on the paper. Position can be specified in many units (inches, cm, mm, points, and picas). The position 0, 0 is top left corner of printable area (not the top left corner of the paper).
Position: Center image
When checked, the image is centered on the paper.
Scaled Print Size: Scale to fit media
When checked, the image is scaled to fit the printable area of the paper. Otherwise you need to set the scale or image width and height manually.
Scaled Print Size: Keep aspect ratio
When checked, the image is scaled proportionally in both axis (to keep the aspect ratio). Otherwise it is possible to scale image differently in horizontal and vertical axis.
Scaled Print Size: Scale
Specify the scale in percents. If the image has associated resolution, it is used to determine the size of the printed image. I.e. 100x100 pixel image with 100 DPI will be printed as one square inch. The printer DPI is used when the resolution of the image is not known. For example 50% means that printed image will have half width and half height in pixels.
Scaled Print Size: Width and Height
Specify the width and height of the image on the paper. You can use many units (inches, cm, mm, points, and picas).
Scaled Print Size: Show bounding box
When checked, you can see the image bounding box on print preview on the left side of this dialog. You can use it to see if the image is not clipped by the printable area of the paper.
Scaled Print Size: Print selected area
Check this box to print only the selected area of the image. Otherwise the entire image will get printed. This option is enabled only if a selection rectangle exists.

See Also

Printing Image


Screen Capture dialog box

Altap Salamander: Plugins: PictView: Dialog Boxes

Screen Capture

Use this dialog to capture the screen (take a screenshot or snapshot).

Options

Capture: Full screen
Captures the full screen.
Capture: Foreground application
Captures the parent visible window of the foreground application. All child windows (like floating toolbars and palettes or modal dialogs) are captured as long as they are inside the rectangle of the parent window. They are clipped, if not.
Capture: Foreground window
Captures the foreground window.
Capture: Client area of foreground window
Captures the client area of the foreground window.
Capture: Virtual screen (for multiple monitors)
Captures the virtual screen which consists of all attached monitor screens.
Capture Trigger: Hot key
Specify the hot key you want to use to make the capture - the screen is captured when this key combination is pressed.
Capture Trigger: Timer
Specify timer for capturing. The timer starts when the Capture button is clicked. The screen is captured when the timer elapses.
Include mouse cursor
When checked, the captured image will contain also the mouse pointer (if the mouse pointer is inside the captured area). Otherwise the mouse cursor is not captured.

See Also

Capturing Screen


Supported File Formats

File formats that PictView can open

  • 82I - Texas Instruments TI82 Calculator images
  • 83I - Texas Instruments TI83 Calculator images
  • 85I - Texas Instruments TI85 Calculator images
  • 86I - Texas Instruments TI86 Calculator images
  • 89I - Texas Instruments TI89 Calculator images
  • 92I - Texas Instruments TI92 Calculator images
  • ANI - MS Windows Animated cursor
  • ARW - Sony digital camera Raw format, preview only
  • AWD - At Work Document: Microsoft Fax
  • BLP - World of Warcraft Textures
  • BMI - Zoner Bitmap
  • BMP - MS Windows Bitmap, including compressed and HiColor
  • BMP - OS/2 Bitmap
  • BW - Black-and-White images in SGI Image file format
  • CAL - CALS Raster Type I
  • CDR - CorelDraw! 2.0 - 13.0, preview and uncompressed imported bitmaps only
  • CDT - CorelDraw! 2.0 - 13.0 Template, preview and uncompressed imported bitmaps only
  • CEL - Autodesk Animator Pro animation
  • CEL - Autodesk Animator still picture
  • CIT - Intergraph Group 4 Raster
  • CLK - Corel RAVE, preview only
  • CLP - MS Windows Clipboard file
  • CMX - Corel Metafile Exchange 5.0 - 11.0, preview and imported bitmaps only
  • COT - Intergraph Raster images, 8-bit or TrueColor
  • CPT - Corel PhotoPaint 6.0
  • CR2 - Canon digital camera Raw format
  • CRW - Canon digital camera Raw format, preview only
  • CUR - MS Windows cursors
  • CUT - Dr. Halo/Dr.Genius Clipboard Format
  • DCX - Intel's multipage fax-format
  • DDS - DirectDraw Surface Texture
  • DIB - MS Windows Device Independent Bitmap, including compressed
  • DNG - Adobe Digital Negative
  • DTX - DirectDraw Texture
  • EPS - Encapsulated PostScript, preview only
  • FLC - Autodesk Animator Pro Animation
  • FLI - Autodesk Animator Animation
  • GEM - GEM IMG
  • GIF - Compuserve Interchange File Format, including animated GIFs
  • HAM - Amiga Interchange File Format in hardware modes (HAM)
  • HMR - GeoTIFF, produced by SW by HMR Inc.
  • HPI - Hemera Photo Images, image data as JPEG and alpha channel as PNG processed as 2 separate images.
  • HRZ - Slow scan television
  • ICN - Images from RIPTerm program
  • ICO - MS Windows Icons, including HiColor and TrueColor
  • ICO - OS/2 Icons
  • IFF - Amiga Interchange File Format
  • IMG - GEM IMG
  • IMG - IMG Software Set
  • IMG - Vivid Raytracer
  • JFF - JPEG File Format, including Progressive Mode
  • JIF - JPEG File Interchange Format, including Progressive Mode
  • JMX - Images from a Tetris game
  • JPEG - JPEG, including Progressive Mode
  • JPG - JPEG, including Progressive Mode
  • LBM - Amiga Interchange File Format, Interleaved Bitmap
  • MAC - MacPaint
  • MBM - EPOC Psion Multiple Bitmap
  • MIL - CALS Raster Type I
  • MNG - Multiple Network Graphics, first image only
  • MSP - Microsoft Paint
  • NEF - Nikon digital camera Raw format, preview only
  • OFX - OLIFAX fax package
  • ORF - Olympus digital camera Raw format
  • PAN - SmoothMove Pan Viewer, preview only
  • PAT - CorelDraw! 6.0 - 9.0 patterns, preview only
  • PBM - Portable Bitmap
  • PC2 - Degas Elite Medium Resolution
  • PCD - Kodak PhotoCD - Base/16, Base/4 and Base only
  • PCT - MacIntosh PICT
  • PCX - PC PaintBrush
  • PEF - Pentax digital camera Raw format
  • PGM - Portable GrayMap
  • PIC - PC Paint/Pictor, including HiColor
  • PIC - Dr. Halo/Dr. Genius
  • PNG - Portable Network Graphics
  • PNM - Portable Any Bitmap
  • PPM - Portable PixelMap
  • PSD - Adobe Photoshop, including CMYK
  • PSP - PaintShop Pro, preview only
  • PYX - Old Epson scanner format
  • QFX - Quick Link II Fax file format
  • RAF - Fuji digital camera Raw format, preview only
  • RAS - Raster SunMicrosystems
  • RGB - TrueColor (RGB) Images in SGI File Format
  • RLE - Compressed MS Windows BMP
  • RLE - Compressed Images in SGI File Format
  • RLE - Compressed Intergraph Raster images, bilevel only
  • RLE - Utah RunLength Encoded
  • SAM - Images in Text Documents from AmiPro
  • SCx - ColorRIX
  • SEP - CMYK Separated Images in TIFF 6.0 File Format
  • SGI - SGI Image File Format
  • SKA - Scanned images used in Video renting machines
  • ST - NeoPaint for DOS thumbnails
  • STW - NeoPaint for Windows thumbnails
  • SUN - Raster SunMicrosystems
  • TGA - TrueVision Targa
  • TIFF - Tagged Interchange File Format
  • UDI
  • WBMP - Wireless Bitmap
  • WEB - CorelXara, preview or 1st embedded bitmap only
  • WPG - WordPerfect Graphics
  • XAR - CorelXara, preview or 1st embedded bitmap only
  • ZBR - Zoner Zebra for Windows 1.0 - 1.5, preview only
  • ZMF - Zoner Metafile, preview only
  • ZNO - Digital journals distributed by Zonio.com, preview only

File formats that PictView can save

  • BMP - MS Windows Bitmap
  • CEL - Autodesk CEL
  • GIF - Compuserve Interchange File Format
  • IFF - Amiga Interchange File Format
  • LBM - Amiga Interchange File Format
  • JPEG - JPEG
  • JPG - JPEG
  • PCX - ZSoft PCX
  • PNM - Portable Any Bitmap
  • PPM - Portable PixelMap
  • PNG - Portable Network Graphics
  • RAS - Raster SunMicrosystems
  • RGB - TrueColor (RGB) Images in SGI File Format
  • TGA - TrueVision Targa
  • TIFF - Tagged Interchange File Format
  • RLE - Utah RunLength Encoded
  • SKA - Scanned images used in Video renting machines